# AP4_DescriptorUpdateCommand Class Reference

This class is used for ObjectDescriptorUpdateCommand and IPMP_DescriptorUpdateCommand. More...

`#include <Ap4ObjectDescriptor.h>`

Inheritance diagram for AP4_DescriptorUpdateCommand:

List of all members.

## Public Member Functions
| AP4_DescriptorUpdateCommand (AP4_ByteStream &stream, AP4_UI08 tag, AP4_Size header_size, AP4_Size payload_size)
virtual | ~AP4_DescriptorUpdateCommand ()
virtual AP4_Result | AddDescriptor (AP4_Descriptor *descriptor)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | Inspect (AP4_AtomInspector &inspector)
const AP4_List< AP4_Descriptor > & | GetDescriptors ()
## Protected Attributes
AP4_List< AP4_Descriptor > | m_Descriptors

## Detailed Description

This class is used for ObjectDescriptorUpdateCommand and IPMP_DescriptorUpdateCommand.

Definition at line 125 of file Ap4ObjectDescriptor.h.

## Constructor & Destructor Documentation

AP4_DescriptorUpdateCommand::AP4_DescriptorUpdateCommand | ( | AP4_ByteStream & | stream,
|  | AP4_UI08 | tag,
|  | AP4_Size | header_size,
|  | AP4_Size | payload_size |
| ) |  |  |

virtual AP4_DescriptorUpdateCommand::~AP4_DescriptorUpdateCommand | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual AP4_Result AP4_DescriptorUpdateCommand::AddDescriptor | ( | AP4_Descriptor * | descriptor | ) | `[virtual]`

virtual AP4_Result AP4_DescriptorUpdateCommand::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Expandable.

virtual AP4_Result AP4_DescriptorUpdateCommand::Inspect | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Command.

const AP4_List<AP4_Descriptor>& AP4_DescriptorUpdateCommand::GetDescriptors | ( |  | ) | `[inline]`

Definition at line 139 of file Ap4ObjectDescriptor.h.

References m_Descriptors.

## Member Data Documentation

AP4_List<AP4_Descriptor> AP4_DescriptorUpdateCommand::m_Descriptors`[mutable, protected]`

Definition at line 143 of file Ap4ObjectDescriptor.h.

Referenced by GetDescriptors().

The documentation for this class was generated from the following file:

- Ap4ObjectDescriptor.h